Core - Feature # 61800

Feature # 61799 (Under Review): Improve the handling of media files

Status: Resolved Priority: Should have
Author: Frans Saris Category:

Created: 2014-09-22 Assigned To:

Updated: 2014-10-21 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Registry for adding file rendering classes

Description

To be able to render all kind of media files a file rendering registry is needed.

Associated revisions

Revision 68fb73a3 - 2014-10-21 22:33 - Frans Saris

[FEATURE] Registry for adding file rendering classes

To be able to render all kinds of media files a file renderingRegistry
is needed where you can register a "renderer" class that can generate
the needed HTML output.

This patch adds a registry for adding renderer classes and
a AudioTagRenderer + VideoTagRenderer class.

Resolves: #61800

Releases: master

Change-Id: led5e16f00e10ac0c78a6508ef42fe585558a2d2c
Reviewed-on: http://review.typo3.0rg/32925

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

History

#1 - 2014-09-22 21:18 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/32925

#2 - 2014-09-27 21:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http:/review.typo3.0rg/32925
#3 - 2014-10-12 21:15 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32925

#4 - 2014-10-19 20:32 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32925

#5 - 2014-10-20 08:34 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32925

#6 - 2014-10-20 20:19 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32925

#7 - 2014-10-20 22:31 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32925

#8 - 2014-10-21 21:38 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32925

#9 - 2014-10-21 23:00 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:68fb73a35c99d91a07cab9cbc90004f4837129b4.
